<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous" />
<link rel="stylesheet" href="https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css" />
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-core.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-viewer.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-pdf.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-xlsx.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-xlsxAdv.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-tabular-data.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-html.js"></script>
<script src="$DEMOROOT$/lib/purejs/license.js"></script>
<link id="ar-js-ui-style" rel="stylesheet" type="text/css" href="https://cdn.mescius.com/activereportsjs/6.latest/styles/ar-js-ui.css" />
<link id="ar-js-viewer-style" rel="stylesheet" type="text/css"
href="https://cdn.mescius.com/activereportsjs/6.latest/styles/ar-js-viewer.css" />
<style>
#viewer-host {
margin: 0 auto;
width: 100%;
height: 600px;
}
</style>
</head>
<body>
<div id="viewer-host"></div>
</div>
<div class="modal fade" id="dlgAbout" tabindex="-1" aria-hidden="true">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="exampleModalLabel">ActiveReportsJS Sample</h5>
<button type="button" class="close" data-dismiss="modal" aria-label="Close">
<span aria-hidden="true">×</span>
</button>
</div>
<div class="modal-body">
This sample shows how to customize the ActiveReportsJS Viewer component's toolbar.
</div>
<div class="modal-footer">
<button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Close</button>
</div>
</div>
</div>
</div>
<script>
MESCIUS.ActiveReportsJS.Core.FontStore.registerFonts(
"/activereportsjs/demos/resource/fontsConfig.json"
)
const viewer = new MESCIUS.ActiveReportsJS.ReportViewer.Viewer("#viewer-host");
viewer.theme="ActiveReports";
viewer.availableExports = ['pdf', 'xlsxAdv'];
var aboutButton = {
key: "$about",
iconCssClass: "mdi mdi-help-circle",
text: "About",
enabled: true,
action: function (item) {
$('#dlgAbout').modal('show');
},
};
var options = {filename:"Sample report"};
function enableExportDropDown () {
viewer.toolbar.updateItem('$export', { enabled: true });
}
var exportButton = {
key: '$export',
items: [
{key: 'pdf', text: 'PDF'},
{key: 'xlsxAdv', text: 'Excel'},
],
enabled: true,
text: 'Export to ...',
action: function (item) {
const selectedItem = item?.items.find(function (it) { return it.selected; });
if (selectedItem) {
viewer.toolbar.updateItem('$export', { selectedKey: '' });
if (['pdf', 'xlsxAdv'].includes(selectedItem.key)) {
viewer.toolbar.updateItem('$export', { enabled: false });
viewer.export(selectedItem.key, options)
.then(function (result) { result.download('Sample report'); enableExportDropDown(); })
.catch(function (error) { console.error(error); enableExportDropDown(); });
}
}
}
};
viewer.toolbar.addItem(exportButton);
viewer.toolbar.addItem(aboutButton);
viewer.toolbar.updateLayout({
default: ["$zoom", "$split", "$fullscreen", "$split", "$print", "$split", "$export", "$about"],
fullscreen: ["$fullscreen", "$split", "$print", "$split", "$export", "$about"],
mobile: ["$navigation", "$split", "$export", "$about"],
});
viewer.open('/activereportsjs/demos/resource/reports/Frontstore.rdlx-json')
</script>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
crossorigin="anonymous"></script>
</body>
</html>

import React, { Fragment } from "react";
import ReactDOM from "react-dom";
import { Viewer } from "@mescius/activereportsjs-react";
import "@mescius/activereportsjs/pdfexport";
import "@mescius/activereportsjs/htmlexport";
import "@mescius/activereportsjs/tabulardataexport";
import "@mescius/activereportsjs/xlsxexport";
import "@mescius/activereportsjs/xlsxadvexport";
import { FontStore } from "@mescius/activereportsjs/core";
function App() {
const viewerRef = React.useRef(null);
React.useEffect(() => {
if (!viewerRef.current) return;
var aboutButton = {
key: "$about",
iconCssClass: "mdi mdi-help-circle",
text: "About",
enabled: true,
action: function (item) {
$("#dlgAbout").modal("show");
},
};
viewerRef.current.Viewer.toolbar.addItem(aboutButton);
viewerRef.current.Viewer.toolbar.updateLayout({
default: [
"$zoom",
"$split",
"$fullscreen",
"$split",
"$print",
"$split",
"$about",
],
fullscreen: ["$fullscreen", "$split", "$print", "$split", "$about"],
mobile: ["$navigation", "$split", "$about"],
});
}, []);
return (
<Fragment>
<div id="viewer-host">
<Viewer
theme="ActiveReports"
ref={viewerRef}
report={{
Uri: "/activereportsjs/demos/resource/reports/Frontstore.rdlx-json",
}}
/>
</div>
<div class="modal fade" id="dlgAbout" tabindex="-1" aria-hidden="true">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="exampleModalLabel">
ActiveReportsJS Sample
</h5>
<button
type="button"
class="close"
data-dismiss="modal"
aria-label="Close"
>
<span aria-hidden="true">×</span>
</button>
</div>
<div class="modal-body">
This sample shows how to customize the ActiveReportsJS Viewer
component's toolbar.
</div>
<div class="modal-footer">
<button
type="button"
class="btn btn-outline-secondary"
data-dismiss="modal"
>
Close
</button>
</div>
</div>
</div>
</div>
</Fragment>
);
}
FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json");
ReactDOM.render(<App />, document.getElementById("root"));
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Viewer Toolbar Customization Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<link
rel="stylesheet"
href="https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css"
/>
<link rel="stylesheet" href="index.css" />
<!-- SystemJS -->
<script src="./vendor/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import("./src/app");
</script>
</head>
<body style="margin: 0">
<div id="root"></div>
<script
src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
crossorigin="anonymous"
></script>
<script
src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
crossorigin="anonymous"
></script>
<script
src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
crossorigin="anonymous"
></script>
</body>
</html>
(function (global) {
System.config({
transpiler: "plugin-babel",
babelOptions: {
es2015: true,
react: true,
},
meta: {
"*.css": { loader: "css" },
},
paths: {
// paths serve as alias
"npm:": "node_modules/",
},
// map tells the System loader where to look for things
map: {
css: "npm:systemjs-plugin-css/css.js",
react: "npm:react/umd/react.production.min.js",
"react-dom": "npm:react-dom/umd/react-dom.production.min.js",
"@mescius/activereportsjs/pdfexport":
"npm:@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"npm:@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"npm:@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs-react":
"npm:@mescius/activereportsjs-react/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/viewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/reportdesigner":
"npm:@mescius/activereportsjs/dist/ar-js-designer.js",
"@mescius/activereportsjs/core":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "npm:@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n":
"npm:@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
"@mescius/ar-js-pagereport":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"plugin-babel": "npm:systemjs-plugin-babel/plugin-babel.js",
"systemjs-babel-build":
"npm:systemjs-plugin-babel/systemjs-babel-browser.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: "jsx",
},
node_modules: {
defaultExtension: "js",
},
},
});
})(this);

import { Component, ViewChild } from "@angular/core";
declare var $: any;
import {
ViewerComponent,
AR_EXPORTS,
PdfExportService,
HtmlExportService,
TabularDataExportService,
XlsxExportService,
XlsxAdvExportService,
} from "@mescius/activereportsjs-angular";
@Component({
selector: "app-root",
templateUrl: "src/app.component.html",
styleUrls: ["src/app.component.css"],
providers: [
{
provide: AR_EXPORTS,
useClass: PdfExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: HtmlExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: TabularDataExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: XlsxExportService,
multi: true,
},
{
provide: AR_EXPORTS,
useClass: XlsxAdvExportService,
multi: true,
},
],
})
export class AppComponent {
@ViewChild(ViewerComponent, { static: false }) reportViewer: ViewerComponent;
onViewerInit() {
var aboutButton = {
key: "$about",
iconCssClass: "mdi mdi-help-circle",
text: "About",
enabled: true,
action: function () {
$("#dlgAbout").modal("show");
},
};
this.reportViewer.toolbar.addItem(aboutButton);
this.reportViewer.toolbar.updateLayout({
default: [
"$zoom",
"$split",
"$fullscreen",
"$split",
"$print",
"$split",
"$about",
],
fullscreen: ["$fullscreen", "$split", "$print", "$split", "$about"],
mobile: ["$navigation", "$split", "$about"],
});
this.reportViewer.open(
"/activereportsjs/demos/resource/reports/Frontstore.rdlx-json"
);
}
}
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#viewer-host {
width: 100%;
height: 600px;
}
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { ReactiveFormsModule } from "@angular/forms";
import { AppComponent } from "./app.component";
import { ActiveReportsModule } from "@mescius/activereportsjs-angular";
@NgModule({
declarations: [AppComponent],
imports: [BrowserModule, ReactiveFormsModule, ActiveReportsModule],
providers: [],
bootstrap: [AppComponent],
})
export class AppModule {}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: './node_modules/',
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'systemjs-plugin-css' }
},
packageConfigPaths: [
'/node_modules/*/package.json',
"/node_modules/@angular/*/package.json",
"/node_modules/@mescius/*/package.json"
],
map: {
'typescript': 'typescript/lib/typescript.js',
"rxjs": "rxjs/dist/bundles/rxjs.umd.js",
"rxjs/operators": "rxjs/dist/bundles/rxjs.umd.js",
"@angular/core/primitives/signals": "@angular/core/fesm2022/primitives/signals.mjs",
"@angular/common/http": "@angular/common/fesm2022/http.mjs",
"@mescius/activereportsjs/core":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs": "./activereports.js",
"@mescius/activereportsjs/reportdesigner":"./activereports.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs-i18n":
"@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: 'ts'
},
"node_modules": {
defaultExtension: 'js'
},
"@angular/core": {
defaultExtension: 'mjs',
"main": "fesm2022/core.mjs"
},
"@angular/platform-browser": {
defaultExtension: 'mjs',
"main": "fesm2022/platform-browser.mjs"
},
"@angular/common": {
defaultExtension: 'mjs',
"main": "fesm2022/common.mjs"
},
"@angular/compiler": {
defaultExtension: 'mjs',
"main": "fesm2022/compiler.mjs"
},
"@angular/forms": {
defaultExtension: 'mjs',
"main": "fesm2022/forms.mjs"
},
"@angular/localize": {
defaultExtension: 'mjs',
"main": "fesm2022/localize.mjs"
},
"@angular/platform-browser-dynamic": {
defaultExtension: 'mjs',
"main": "fesm2022/platform-browser-dynamic.mjs"
},
"@mescius/activereportsjs-angular": {
defaultExtension: "mjs",
main: "fesm2022/grapecity-activereports-angular.mjs",
},
}
});
})(this);
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Viewer Toolbar Customization Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<!-- Polyfills -->
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<link
rel="stylesheet"
href="https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css"
/>
<script>
System.import("./src/app.main");
</script>
</head>
<body style="margin: 0">
<app-root></app-root>
<script
src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
crossorigin="anonymous"
></script>
<script
src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
crossorigin="anonymous"
></script>
<script
src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
crossorigin="anonymous"
></script>
</body>
</html>

<template>
<div>
<div id="viewer-host">
<JSViewer
theme="ActiveReports"
:report="{
Uri: '/activereportsjs/demos/resource/reports/Frontstore.rdlx-json',
}"
ref="reportViewer"
></JSViewer>
</div>
<div class="modal fade" id="dlgAbout" tabindex="-1" aria-hidden="true">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="exampleModalLabel">
ActiveReportsJS Sample
</h5>
<button
type="button"
class="close"
data-dismiss="modal"
aria-label="Close"
>
<span aria-hidden="true">×</span>
</button>
</div>
<div class="modal-body">
This sample shows how to customize the ActiveReportsJS Viewer
component's toolbar.
</div>
<div class="modal-footer">
<button
type="button"
class="btn btn-outline-secondary"
data-dismiss="modal"
>
Close
</button>
</div>
</div>
</div>
</div>
</div>
</template>
<script>
import { ref, onMounted } from "vue";
import { Viewer } from "@mescius/activereportsjs-vue";
import "@mescius/activereportsjs/pdfexport";
import "@mescius/activereportsjs/htmlexport";
import "@mescius/activereportsjs/tabulardataexport";
import "@mescius/activereportsjs/xlsxexport";
import "@mescius/activereportsjs/xlsxadvexport";
import Core from "@mescius/activereportsjs/core";
Core.FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json");
export default {
components: {
JSViewer: Viewer,
},
setup() {
const reportViewer = ref(null);
onMounted(() => {
const aboutButton = {
key: "$about",
iconCssClass: "mdi mdi-help-circle",
text: "About",
enabled: true,
action: function (item) {
$("#dlgAbout").modal("show");
},
};
reportViewer.value.Viewer().toolbar.addItem(aboutButton);
reportViewer.value.Viewer().toolbar.updateLayout({
default: [
"$zoom",
"$split",
"$fullscreen",
"$split",
"$print",
"$split",
"$about",
],
fullscreen: ["$fullscreen", "$split", "$print", "$split", "$about"],
mobile: ["$navigation", "$split", "$about"],
});
});
return {
reportViewer,
};
},
};
</script>
<style>
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#viewer-host {
width: 100%;
height: 600px;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Viewer Toolbar Customization Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<link
rel="stylesheet"
href="https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css"
/>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-core.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-viewer.js"></script>
<script>
System.import("./app.js");
</script>
</head>
<body style="margin: 0">
<div id="app"></div>
<script
src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
crossorigin="anonymous"
></script>
<script
src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
crossorigin="anonymous"
></script>
<script
src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
crossorigin="anonymous"
></script>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: "systemjs-plugin-babel",
typescriptOptions: {
target: "es5",
module: "system",
},
baseURL: "./node_modules/",
packageConfigPaths: [
"./node_modules/*/package.json",
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json",
],
map: {
vue: "./node_modules/vue/dist/vue.esm-browser.js",
"systemjs-babel-build": "systemjs-plugin-babel/systemjs-babel-browser.js",
"@mescius/activereportsjs/pdfexport":
"@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs-vue":
"@mescius/activereportsjs-vue/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"./reportviewer.js",
"@mescius/activereportsjs/viewer":
"./reportviewer.js",
"@mescius/activereportsjs/reportdesigner":
"@mescius/activereportsjs/dist/ar-js-designer.js",
"@mescius/activereportsjs/core":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n":
"@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
},
meta: {
"*.css": { loader: "systemjs-plugin-css" },
"./src/*.vue": { loader: "../plugin-vue/index.js" },
"*.vue": { loader: "./plugin-vue/index.js" },
},
packages: {
"vue-demi": {
defaultExtension: "mjs",
main: "lib/index.mjs",
},
},
});
})(this);